#!/urs/bin/nev ruby
# -*- coding: utf-8 -*-

puts("ヤッホー!あたい、割り算機!")
puts("割り算専用の計算機だよ!2つの数を足すことができるよ!")
puts("答えは少数で出せないんだ。ゴメンね!")
puts("それじゃ、割り算をしていくよー")

def kotae(warareru,waru)
  if warareru<0 || waru<0
    return nil
  end
  return  warareru/waru
end
puts("割られる数を入力")
warareru=gets.to_i
puts("割る数を入力")
waru=gets.to_i
printf("答えは%dだったよ!\n",kotae(warareru,waru))
puts("使ってくれて、ありがとね!!")
puts("あたいには他にも友達がいるから、使ってみてね!!")
